View Issue Details

IDProjectCategoryView StatusLast Update
0001979NoesisGUIC++ SDKpublic2021-04-29 11:11
ReporterSusanna.RowlandAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.11 
Target Version3.0.12Fixed in Version3.0.12 
Summary0001979: TabControl focus inconsistent with WPF standard
DescriptionIn WPF, when a TabControl is focused, the focus is passed to the first focusable child element in the tab item, by default. With Noesis, the tab itself is visibly gaining focus, not the first child. This occurs both when you use the mouse or keyboard controls (ctrl-tab).
In addition, use of FocusManager.FocusedElement as a workaround appears to be being ignored/overridden.
Steps To ReproduceLaunch Noesis with the attached XAML (based of the Noesis Commands sample).
Observe that the selected tab contents does not receive focus on start.
Switch tabs using the keyboard shortcuts (ctrl+tab & ctrl+shift+tab) and observe the tab holds focus and does not pass it to the first child element.
Switch tabs using the mouse and again observe the tab holds focus and does not pass it to the first child element.
TagsC++, Focus, TabControl
PlatformAny

Relationships

related to 0001982 assignedsfernandez FocusManager is missing 

Activities

Susanna.Rowland

Susanna.Rowland

2021-04-23 18:09

reporter  

MainWindow.xaml (2,976 bytes)
sfernandez

sfernandez

2021-04-29 11:11

manager   ~0007189

We fixed the differences in behavior with WPF when using mouse and keyboard/gamepad to move the focus.
I'm going to close this ticket leaving the FocusManager issue for ticket 0001982.

Issue History

Date Modified Username Field Change
2021-04-23 18:09 Susanna.Rowland New Issue
2021-04-23 18:09 Susanna.Rowland Tag Attached: C++
2021-04-23 18:09 Susanna.Rowland Tag Attached: Focus
2021-04-23 18:09 Susanna.Rowland Tag Attached: TabControl
2021-04-23 18:09 Susanna.Rowland File Added: MainWindow.xaml
2021-04-26 13:43 jsantos Assigned To => sfernandez
2021-04-26 13:43 jsantos Status new => assigned
2021-04-26 13:44 jsantos Target Version => 3.0.12
2021-04-26 13:44 jsantos Description Updated View Revisions
2021-04-26 13:44 jsantos Steps to Reproduce Updated View Revisions
2021-04-28 11:21 jsantos Product Version => 3.0.11
2021-04-29 10:32 sfernandez Relationship added related to 0001982
2021-04-29 11:11 sfernandez Status assigned => resolved
2021-04-29 11:11 sfernandez Resolution open => fixed
2021-04-29 11:11 sfernandez Fixed in Version => 3.0.12
2021-04-29 11:11 sfernandez Note Added: 0007189